# neededforbuild  cpp gcc gcc-c++ libgcc libstdc++ libstdc++-devel pkgconfig x-devel-packages

BuildRequires: aaa_base acl attr bash bind-utils bison bzip2 coreutils cpio cpp cracklib cvs cyrus-sasl db devs diffutils e2fsprogs file filesystem fillup findutils flex gawk gdbm-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv less libacl libattr libgcc libnscd libselinux libstdc++ libxcrypt libzio m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules patch permissions popt procinfo procps psmisc pwdutils rcs readline sed strace syslogd sysvinit tar tcpd texinfo timezone unzip util-linux vim zlib zlib-devel autoconf automake binutils expat fontconfig fontconfig-devel gcc gcc-c++ gdbm gettext libstdc++-devel libtool perl pkgconfig rpm xorg-x11-devel xorg-x11-libs

Name:         festival
URL:          http://www.cstr.ed.ac.uk/projects/festival/
%define prefix /usr
%define sysconfdir /etc%prefix
%define arctic_multisyn/usr/share/festival/voices-multisyn/english/cstr_us_jmk_arctic_multisyn
License:      X11/MIT, Other License(s), see package
Group:        Productivity/Text/Convertors
Packager:     Jorge Luis Arzola - <arzolacub@netscape.net>
Distribution: SuSE Linux 9.2 (i586)
Autoreqprov:  on
Version:      1.95beta
Release:      2
Summary:      The Festival Speech Synthesis System
Source:       festival-1.95-beta.tar.gz
Source1:      speech_tools-1.2.95-beta.tar.gz
Source2:      festlex_CMU.tar.gz
Source3:      festvox_cstr_us_jmk_arctic_multisyn-1.0.tar.gz
Source4:      festlex_POSLEX.tar.gz
Source5:      festvox_kallpc16k.tar.gz
Patch:        festival.patch
Patch1:       speech-tools.dif
BuildRoot:    %{_tmppath}/%{name}-%{version}-build
NoSource:     3

%description
Festival is a multi-lingual speech synthesis system developed at CSTR.
It offers a full text-to-speech system with various APIs, as well as an
environment for development and research of speech synthesis
techniques. It is written in C++ and has a Scheme-based command
interpreter for general control.
Festival-1.95(beta version of Festival-2.0) has many new features, including
natural sounding multisyn voice system.


Authors:
--------
    Alan W Black <awb@cs.cmu.edu>
    Rob Clark <robert@cstr.ed.ac.uk>
    Korin Richmond <korin@cstr.ed.ac.uk>
    
    
%package multisyn-Canadian
Requires:     festival >= %{name}-%{version}
Summary:      Canadian English male speaker (JMK)for festival
Group:        Productivity/Text/Convertors


%description multisyn-Canadian
Canadian English male speaker (JMK)for festival,
using excited residual LPC multisyn database.


COPYING_festlex_CMU

%prep
%setup -q -b 1 -b 2 -b 3 -b 4 -b 5 -q -n festival
%patch -p1 
cd ../speech_tools
%patch1 -p1
 

%build
#rename COPYING files in each tarball in order to include them in dc dir
mv lib/dicts/cmu/COPYING  lib/dicts/cmu/COPYING.festlex_CMU
mv lib/voices/english/kal_diphone/COPYING lib/voices/english/kal_diphone/COPYING.kal_diphone
%{?suse_update_config:%{suse_update_config -f}}
./configure --prefix=%{prefix} \
	    --libdir=%{prefix}/%_lib \
	    --sysconfdir=%{sysconfdir}
cd ../speech_tools
./configure --prefix=%{prefix} \
            --libdir=%{prefix}/%_lib \
            --sysconfdir=%{sysconfdir}
make
make install
cd ../festival
 
make

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
cd ../speech_tools
make install DESTDIR=$RPM_BUILD_ROOT
cd ../festival
mkdir -p $RPM_BUILD_ROOT/usr/bin
mkdir -p $RPM_BUILD_ROOT/usr/lib/festival
mkdir -p $RPM_BUILD_ROOT/etc/emacs/site-start.d
mkdir -p $RPM_BUILD_ROOT/etc/init.d/festival
mkdir -p $RPM_BUILD_ROOT/usr/share/festival/dicts/cmu
mkdir -p $RPM_BUILD_ROOT/usr/share/festival/multisyn
mkdir -p $RPM_BUILD_ROOT/usr/share/festival/voices-multisyn/english/cstr_us_jmk_arctic_multisyn/festvox
mkdir -p $RPM_BUILD_ROOT/usr/share/festival/voices-multisyn/english/cstr_us_jmk_arctic_multisyn/jmk/coef
mkdir -p $RPM_BUILD_ROOT/usr/share/festival/voices-multisyn/english/cstr_us_jmk_arctic_multisyn/jmk/lpc
mkdir -p $RPM_BUILD_ROOT/usr/share/festival/voices-multisyn/english/cstr_us_jmk_arctic_multisyn/jmk/utt
cp bin/festival* $RPM_BUILD_ROOT/usr/bin/
cp bin/text2wave $RPM_BUILD_ROOT/usr/bin/
cp lib/festival.scm $RPM_BUILD_ROOT/etc/festival.scm
cp lib/dicts/cmu/*.scm $RPM_BUILD_ROOT/usr/share/festival/dicts/cmu/
cp lib/dicts/cmu/cmudict-0.4.out $RPM_BUILD_ROOT/usr/share/festival/dicts/cmu/
cp lib/*.scm $RPM_BUILD_ROOT/usr/share/festival/
cp lib/dicts/wsj.wp39.poslexR $RPM_BUILD_ROOT/usr/share/festival/dicts/
cp lib/dicts/wsj.wp39.tri.ngrambin $RPM_BUILD_ROOT/usr/share/festival/dicts/
cp lib/*.ngrambin $RPM_BUILD_ROOT/usr/share/festival/
cp lib/*.gram $RPM_BUILD_ROOT/usr/share/festival/
cp lib/etc/*Linux/audsp $RPM_BUILD_ROOT/usr/lib/festival/
cp lib/multisyn/*.scm $RPM_BUILD_ROOT/usr/share/festival/multisyn/
cp lib/voices-multisyn/english/cstr_us_jmk_arctic_multisyn/festvox/* $RPM_BUILD_ROOT/%{arctic_multisyn}/festvox/ 
cp lib/voices-multisyn/english/cstr_us_jmk_arctic_multisyn/jmk/coef/* $RPM_BUILD_ROOT/%{arctic_multisyn}/jmk/coef/
cp -R lib/voices-multisyn/english/cstr_us_jmk_arctic_multisyn/jmk/lpc $RPM_BUILD_ROOT/%{arctic_multisyn}/jmk
cp lib/voices-multisyn/english/cstr_us_jmk_arctic_multisyn/jmk/utt/* $RPM_BUILD_ROOT/%{arctic_multisyn}/jmk/utt/
cp lib/voices-multisyn/english/cstr_us_jmk_arctic_multisyn/jmk/utts.* $RPM_BUILD_ROOT/%{arctic_multisyn}/jmk/
cp -R lib/voices $RPM_BUILD_ROOT/usr/share/festival/voices

%clean
rm -rf $RPM_BUILD_ROOT

%post

%files
%defattr(-, root, root) 
%doc COPYING README INSTALL examples/*.text examples/ex1.* examples/*.scm examples/*.dtd
%doc lib/voices/english/kal_diphone/COPYING.kal_diphone
%doc lib/dicts/COPYING.poslex
%doc lib/dicts/cmu/COPYING.festlex_CMU
/etc/festival.scm
%{prefix}/bin/festival
%{prefix}/bin/festival_client
%{prefix}/bin/festival_server
%{prefix}/bin/festival_server_control
%{prefix}/bin/text2wave
%{prefix}/lib/festival
%{prefix}/share/festival/dicts
%{prefix}/share/festival/multisyn
%{prefix}/share/festival/voices
%{prefix}/share/festival/scfg_wsj_wp20.gram
%{prefix}/share/festival/*.ngrambin
%{prefix}/share/festival/*.scm

%files multisyn-Canadian
%defattr(-,root,root)
%{prefix}/share/festival/voices-multisyn

%changelog -n festival
* Thu Dec 16 2004 - arzolacub@netscape.net
- change default voice to kal_diphone english US, included in the package
* Wed Dec 15 2004 - arzolacub@netscape.net
- Split Multisyn voice(so big) apart from main festival package in order
- to distribute at kde.org, for kttsd's users's sake. Also include all
- COPYING files in the tarballs in the doc dir
* Tue Nov 16 2004 - arzolacub@netscape.net
- Make some datadir parameter corrections in mettree.scm and other files
* Sat Nov 06 2004 - arzolacub@netscape.net
- First rpm for suse 9.2. Suse's 9.2 config patches for festival 1.4.3
- has been taken as model, but heavily modified to match the new festival
- system
